*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}
h1,h2,h3{
    color: #fff;
    font-size: 40px;
}

p{
    text-align: center;
    color: #fff;
}

body{
    background-color:black;
  }

.container{
    width: 100%;
    height: 100vh;
    background: black;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}
.container h1{
    font-size: 80px;
    font-weight: 600;
}


.wrapper{
    display: inline-flex;
}

.wrapper .static-txt{
    color: aliceblue;
    font-size: 40px;
    font-weight: 400;
}

.wrapper .dynamic-txts{
    margin-left: 15px;
    height: 100px;
    line-height: 100px;
    overflow: hidden;
}

.dynamic-txts li{
    color: #36a358;
    list-style: none;
    font-size: 40px;
    font-weight: 500;
    position: relative;
    top: 0;
    animation: slide 6s steps(4) infinite;
}

@keyframes slide{
    100%{
        top: -400px;
    }
}

.dynamic-txts li span{
    position: relative;
}
.dynamic-txts li span::after{
    content: "";
    position: absolute;
    left: 0;
    height: 100%;
    width:100%;
    background: black;
    border-left: 3px solid #36a358;
    animation: typing 3s steps(10) infinite;
}
@keyframes typing{
    100%{
        left: 100%;
        margin: 0 -35px 0 35px;
    }
}

section{
    width: 80%;
    margin: 80px auto;
}
nav img{
    width: 150px;
}
.nav-links{
    flex: 1;
    text-align: right;
}
.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a{
    color: #ffffff;
    text-decoration: none;
    font-size: 13px;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: #ffffff;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}

.hero-btn{
    display: inline-block;
    text-decoration: none;
    color: #ffffff;
    border: 1px solid #ffffff;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    position: relative;
    cursor: pointer;
}

.hero-btn:hover{
    border: 1px solid #36a358;
    background: #36a358;
    transition: 1s;
}

.spotifycover{
    width: 80%;
    margin: 100px auto 50px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 30px;
}
.spotifycover img{
    width: 100%;
    cursor: pointer;
}

.cursor{
    z-index: 999;
    position: fixed;
    background: #f3f3f3;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    pointer-events: none;
    box-shadow: 0 0 20px #2696E8, 0 0 60px #c9e5a2, 0 0 100px #8b5c83;
    transform: translate(-50%, -50%);
    animation: colors 5s infinite;
    display: none;
}

@keyframes colors{
    0%{
        filter: hue-rotate(0deg);
    };
    100%{
        filter: hue-rotate(360deg);
    };
}
.cursor::before{
    content: "";
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #2696E8;
    opacity: 0.2;
    transform: translate(-30%,-30%);
}